################################################################################
#
# Makefile to install various LaTeX items in the appropriate places.
#
################################################################################

SHELL = /bin/sh

# Depending on the permissions of your TEXMF directory, you may need to
# do a 'sudo make install'. WARNING: any predefined TEXMF environment variables
# probably won't be available under sudo! Be sure to pass them on the command
# line if needed: e.g., 'make install TEXMFHOME=/usr/local/texmf'.

# Set this to whatever it should be, e.g., /usr/local/texmf or whatever.
# Probably better to install these in your own personal TEXMF tree so that
# they don't get wiped out by updates.
# TEXMFHOME =
LATEX = $(TEXMFHOME)/tex/latex


install:
	@mkdir -p $(LATEX)/beamer/themeOtago
	@mkdir -p $(LATEX)/beamer/themeOtagoPlain
	@mkdir -p $(LATEX)/beamer/themeNZCS
	cp beamerthemes/beamerthemeOtago/*.sty $(LATEX)/beamer/themeOtago
	cp beamerthemes/beamerthemeOtago/OU-Logo-Colour.* $(LATEX)/beamer/themeOtago
	cp beamerthemes/beamerthemeOtagoPlain/*.sty $(LATEX)/beamer/themeOtagoPlain
	cp beamerthemes/beamerthemeOtagoPlain/Business_School_LS_ID_crop.* $(LATEX)/beamer/themeOtagoPlain
	cp beamerthemes/beamerthemenzcs/beamerthemenzcs.sty $(LATEX)/beamer/themeNZCS
	cp beamerthemes/beamerthemenzcs/NZCSbanner.png $(LATEX)/beamer/themeNZCS
	
	@mkdir -p $(LATEX)/OULogo
	(cd OULogo; cp *.eps *.pdf *.jpg $(LATEX)/OULogo)

	@mkdir -p $(LATEX)/listings
	cp listings/lstlang*.sty listings/lstlocal.cfg $(LATEX)/listings

	@mkdir -p $(LATEX)/lectures
	(cd lectures; cp -R *.cls *.sty deprecated $(LATEX)/lectures)

	@mkdir -p $(LATEX)/infosciletterhead
	(cd infosciletterhead; cp infosciletterhead.cls infosciletterhead.pdf $(LATEX)/infosciletterhead)

	@mkdir -p $(LATEX)/local
	(cp relalg.sty $(LATEX)/local)

	@texhash
